Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl.mapper
Class JPAMapper

    java.lang.Object
      org.jbpm.runtime.manager.impl.mapper.JPAMapper

All Implemented Interfaces:
  org.kie.internal.runtime.manager.Mapper

    public class JPAMapper

extends Object
implements org.kie.internal.runtime.manager.Mapper

Data base based mapper implementation backed by JPA to store context to `KieSession` id mapping. It used `ContextMappingInfo` entity for persistence.

See Also:
  `ContextMappingInfo`

Constructor Summary
`JPAMapper(javax.persistence.EntityManagerFactory emf)`

Method Summary
`protected ContextMappingInfo` | `findContextByContextId(Context context, javax.persistence.EntityManager em)`
`Object` | `findContextId(Integer ksessionId)`
`Integer` | `findMapping(Context context)`
`Context` | `getProcessInstanceByCorrelationKey(org.kie.internal.process.CorrelationKey correlationKey, javax.persistence.EntityManager em)`
`void` | `removeMapping(Context context)`
`protected Context` | `resolveContext(Context orig, javax.persistence.EntityManager em)`
`void` | `saveMapping(Context context, Integer ksessionId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPAMapper

    public JPAMapper(javax.persistence.EntityManagerFactory emf)

Method Detail

### saveMapping

    public void saveMapping(Context context,
                            Integer ksessionId)

  Specified by:
    `saveMapping` in interface `org.kie.internal.runtime.manager.Mapper`

### findMapping

    public Integer findMapping(Context context)

  Specified by:
    `findMapping` in interface `org.kie.internal.runtime.manager.Mapper`

### removeMapping

    public void removeMapping(Context context)

  Specified by:
    `removeMapping` in interface `org.kie.internal.runtime.manager.Mapper`

### resolveContext

    protected Context resolveContext(Context orig,
                                     javax.persistence.EntityManager em)

### findContextByContextId

    protected ContextMappingInfo findContextByContextId(Context context,
                                                        javax.persistence.EntityManager em)

### getProcessInstanceByCorrelationKey

    public Context getProcessInstanceByCorrelationKey(org.kie.internal.process.CorrelationKey correlationKey,
                                                      javax.persistence.EntityManager em)

### findContextId

    public Object findContextId(Integer ksessionId)

  Specified by:
    `findContextId` in interface `org.kie.internal.runtime.manager.Mapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.